Subject: [BEHAVE] Local IPv6 address synthesis when non-zero suffixes are used on the network

From: <[email-masked]>
Date: Mon, 17 Jan 2011 15:02:42 +0000

Hi,

RFC6052 defines a suffix field for those IPv4-Embedded IPv6 Address Formats that use other than 96-bit NSP prefix lengths.

In case of the host local IPv6 address synthesis, should the host initialize this suffix field to zero or copy the suffix bits it has most likely learnt at the same time with NSP?

For me initialize to zero sounds more logical choice, but I was not really following the work that lead to RFC6052..

Best regards,

Teemu

---

From: Christian Huitema <[email-masked]>
Date: Mon, 17 Jan 2011 15:13:15 +0000

RFC 6052 is actually quite clear. In section 2.2, when discussing the suffix, it states that "These bits are reserved for future extension and SHOULD be set to zero."

From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, January 17, 2011 7:03 AM
To: [email-masked]
Subject: [BEHAVE] Local IPv6 address synthesis when non-zero suffixes are used on the network

Hi,

Best regards,

Teemu